

# Установка

### 1. Предоставить файлы конфигурации в каталоге installer_root
`start_hosts.yml и config.py`

### 2. Задать пароль подключения к хостам (для пользователя ansible_user из config.py)
`export PLATFORM_INSTALLER_SSH_PASSWORD='******'`

### 3. (*Опционально*) Задать пароль подключения к почтовому серверу (для пользователя alertmanager_email_user из config.py, если он там задан)
`export ALERT_MANAGER_EMAIL_PASSWORD='******'`

### 4. Задать пароль администратора для сервисов платформы
`export PLATFORM_INSTALLER_ADMIN_PASSWORD='******'`

### 5. Запустить установку
либо автоматически
```
./run_install.sh
```
либо каждый скрипт и плейбук вручную
```
./prepare_installer_node.sh
./setup_venv.sh
source installer-venv/bin/activate
python3 main.py

ansible-playbook ansible/hosts_prepare/main.yml -e @files_for_installer/common_vars.yml && \
ansible-playbook ansible/platform/main.yml -e @files_for_installer/common_vars.yml && \
ansible-playbook ansible/gp/main.yml -e @files_for_installer/common_vars.yml && python install_ambari.py

ansible-playbook ansible/airflow_post_install/main.yml -e @files_for_installer/common_vars.yml && \
ansible-playbook ansible/pxf_config/main.yml -e @files_for_installer/common_vars.yml && \
ansible-playbook ansible/metaload/main.yml -e @files_for_installer/common_vars.yml && \
ansible-playbook ansible/docker/main.yml -e @files_for_installer/common_vars.yml && \
ansible-playbook ansible/monitoring/main.yml -e @files_for_installer/common_vars.yml
```

### 6. Установить актуальную версию Metaload, Metaload-UI, Cluster Manager и т.д.
Поставляется отдельно

# Дополнительно
### Ручная/Автоматическая установка Ambari
Если установка производится в ручном режиме, то можно сгенерировать урлы для настройки репозиториев:
`python3 install_ambari.py manual`  
Если установки производится в автоматическом режиме то делаем всё согласно инструкции`

### Отладочный запуск `main.py`

`main.py` можно запустить с параметром `dry-run`, бедет произведены все проверки, но не будет заменен пароль и не будут сгенерированы файлы
` python3 main.py dry-run`

