# Планировщик обслуживающих задач на базе Apache Airflow

Сервис размещается в уже настроенной на cluster-manager инфраструктуре docker в виде compose стека.

Развертывание модуля обеспечивается ansible плейбуком af_maintenance.
Запускается на узле с ролью cluster-manager. 


Плейбук вызывается на машине с ролью "installer", из директории /opt/bdp_manager, командой ansible-playbook -vv ansible/af_maintenance/main.yml -i files_for_installer/hosts -e @files_for_installer/common_vars.yml. Для кооректной работы ansible, следует использовать подготовленное для этого виртуальное окружение installer-venv.

```
cd /opt/bdp_manager && source installer-venv/bin/activate

ansible-playbook -vv ansible/af_maintenance/main.yml -i files_for_installer/hosts -e @files_for_installer/common_vars.yml
```

Сервис размещается на cluster-manager. В рамках плейбука, на cluster-manager производятся следующие действия:

 - создание группы с именем {{ af_maintenance_group }} с помощью модуля group;

 - создание пользователя с именем {{ af_maintenance_user }}, добавление его в группу {{ af_maintenance_group }}, установка оболочки пользователя в /usr/sbin/nologin, указание того, что пользователь системный без домашней директории и установка корневой директорию пользователя в / ;

 - создание директории с именем {{ af_maintenance_dir }} с помощью модуля file, указание права доступа 0755, установка владельца директории на {{ af_maintenance_user }} и группы на {{ af_maintenance_group }};

 - установка переменной пользователя AIRFLOW_UID в файл .env внутри директории {{ af_maintenance_dir }};

 - размещение CLI обертки. Обертка размещается внутри директории {{ af_maintenance_dir }} с правами доступа 0755 и владельцем на {{ af_maintenance_user }} и группой на {{ af_maintenance_group }}. Создается символическая ссылка на CLI обертку, для возможности вызова ее из любой директории. Ссылка размещается в /usr/bin/af_maintenance.

 - размещение файла docker-compose.yml внутри директории {{ af_maintenance_dir }}.

 - размещение systemd сервис юнита, его включение в автозагрузку и запуск.
 
 - Хенделер af_maintenance_init запускает узлы контейнеризованного кластера.