# Создание пользовательского окружения

Аргументы (обязательные):
- user_name - имя пользователя без пробелов
- user_password - пароль пользователя

Аргументы (опциональные):
- debug_enabled - Вывод дополнительной информации. Значения [true|false].

Пример вызова: ``ansible-playbook ansible/metaload_env_toolkit/create_datadomain.yml -i files_for_installer/hosts -e '{"user_name":"user_1", "user_password":"****"}'``

Теги:
- step_1 - Настройка Кластера (Создание linux пользователя)
- step_2 - Настройка Airflow scheduler (Создание linux пользователя и папок, настройка lsyncd)
- step_3 - Настройка HDFS (cоздание папок в HDFS)
- step_4 - Настройка Airflow сервиса (создание пользователя и настроек)
- step_5 - Настройка DWH (создание пользователя и настройка)
- step_6 - Настройка DBT (установка python3.8, создание директорий и инициализация DBT окружения)
- step_7 - Настройка Ranger политики для доступа к HDFS

# Изменение пароля пользователя домена данных

Аргументы (обязательные):
- user_name - имя домена данных
- user_password - пароль пользователя

Пример вызова: ``ansible-playbook ansible/metaload_env_toolkit/password_update.yml -i files_for_installer/hosts -e '{"user_name":"env_domain_name", "user_password":"*****"}'``

Теги:
- step_1 - Обновление пароля пользователя на хосте с ролью ansible_scheduller, обновление профиля DBT проекта
- step_2 - Обновление пароля пользователя веб-сервера Airflow и соединений
- step_3 - DWH - Обновление пароля пользователя в Greenplum DB


# Удаление домена данных и пользовательского окружения

Аргументы (обязательные):
- user_name - имя пользователя без пробелов

Аргументы (опциональные):
- debug_enabled - Вывод дополнительной информации. Значения [true|false].

Пример вызова: ``ansible-playbook ansible/metaload_env_toolkit/delete_datadomain.yml -i files_for_installer/hosts -e '{"user_name":"env_domain"}'``

Теги:
- step_1 - Удаление политики из Ranger
- step_2 - Удаление DBT (удаление домашнего каталога и виртуального окружения проектов DBT пользователя)
- step_3 - Удаление пользователя и его схем из DWH (Greenplum)
- step_4 - Удаление элементов, связанных с Airflow сервисом (удаление подключений, пула задач и пользователя в Airflow)
- step_5 - Удаление пользовательских папок в HDFS
- step_6 - Удаление элементов, связанных с Airflow Scheduler (удаление конфигурации синхронизации, папок с DAG-ами и пользователя)
- step_7 - Удаление пользователя на компонентах кластера, кроме сервера Airflow Scheduler



